Subject: Re: bug#43887: 28.0.50; in HELLO: Javanese (Jawa) System.out.println("Sugeng siang!");

From: Jean Louis <[email-masked]>
Date: Sun, 11 Oct 2020 15:54:23 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-10-11 12:09]:
> Stefan Kangas <[email-masked]> writes:
> 
> > So should we remove the joke or just close this bug?
> 
> I think the bug's closed already?  The joke is amusing (unless you're
> from that region), so it should probably stay, I guess.

Removing joke is lack of humour.

It would not be good to remove it.

On the other hand, 145 millions people there don't get proper "Hello",
so that is still a bug.

Sorry, I was thinking it was some programming mistake, I never thought
of Java programming language, as I don't use it.

I am proposing to make a button on Javanese Jawa line, so that their
Hello remains there, but if user presses the button, that the joke
appears.

(defun button-pressed (button)
  (message (format "Hello!")))

(define-button-type 'custom-button
  'action 'button-pressed
  'follow-link t
  'help-echo "Click Button"
  'help-args "test")

(make-button 1 10 :type 'custom-button)